ZMObject
└─ZMController
└─ZMAjaxController
└─ZMAjaxCatalogController
public class ZMAjaxCatalogController
extends ZMAjaxController
| Constructor Summary | |
|---|---|
Create new instance. |
|
| Method Summary | |
|---|---|
| void | getProductForIdJSON(ZMRequest request) Get product information for the given product id. |
| void | getProductsForCategoryIdJSON(ZMRequest request) Get products for the given category id. |
| Methods inherited from org.zenmagick.mvc.controller.ZMAjaxController | |
|---|---|
| flattenObject, process, processGet, setJSONHeader, toJSON | |
| Methods inherited from org.zenmagick.mvc.controller.ZMController | |
|---|---|
| findView, getFormData, getId, getView, isFormSubmit, preProcess, process, processGet, processPost, setContentType, setId, setView, validate, validateFormData, validateSession | |
| Methods inherited from org.zenmagick.core.ZMObject | |
|---|---|
| attachMethod, get, getAttachedMethods, getPropertyNames, set, singleton | |
public ZMAjaxCatalogController()
Create new instance.
public void getProductForIdJSON(ZMRequest request)
Get product information for the given product id.
Request parameter:
public void getProductsForCategoryIdJSON(ZMRequest request)
Get products for the given category id.
Request parameter:
Ajax controller for JSON catalog data.